This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 140690 - telnet <shortname host> Segfault
telnet <shortname host> Segfault
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 04:09 EST by Gael Jean
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 15:34:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gael Jean 2004-11-24 04:09:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When using telnet on shortname host and if there is several domain for
the search directive in /etc/resolv.conf, telnet segfault.

It does not segfault if telneting with the FQN !

Version-Release number of selected component (if applicable):
telnet-0.17-30

How reproducible:
Always

Steps to Reproduce:
1.edit resolv.conf to add several domain for search
2.telnet a machine with its shortname
    

Actual Results:  segfault

Expected Results:  telnet

Additional info:
Comment 1 Harald Hoyer 2004-11-24 04:18:43 EST
please provide the output of:
$ which telnet
Comment 2 Gael Jean 2004-11-24 04:51:22 EST
m337632@corsair:~ $> which telnet
/usr/kerberos/bin/telnet
m337632@corsair:~ $> rpm -qf /usr/kerberos/bin/telnet
krb5-workstation-1.3.4-7

Sorry about that.
Just for info : I am not using kerberos at all.
Comment 3 Harald Hoyer 2004-11-24 05:38:10 EST
reassigning to krb5
Comment 4 Matthew Miller 2006-07-10 16:48:26 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 John Thacker 2006-10-31 15:34:15 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.